Nestopia Core API: Nes::Api::Cartridge::Database::Entry

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## api
Class Nes::Api::Cartridge::Database::Entry

    Core::ImplicitBool
       |
       +--Nes::Api::Cartridge::Database::Entry

class Nes::Api::Cartridge::Database::Entry
extends Core::ImplicitBool

Database entry.

Constructor Summary
`` | `Entry()` Default constructor.
`private` | `Entry( const void* r )`

Method Summary
`dword` | `GetChrRom() const` Returns total size of CHR-ROM.
`Profile::Dump::State` | `GetDumpState() const` Returns the dump state.
`const Profile::Hash*` | `GetHash() const` Returns hash code of ROM chips combined.
`uint` | `GetMapper() const` Returns mapper ID.
`dword` | `GetPrgRom() const` Returns total size of PRG-ROM.
`Result` | `GetProfile( Profile& profile ) const` Returns the profile of this entry.
`const wchar_t*` | `GetRegion() const` Returns the target region.
`Profile::System::Type` | `GetSystem() const` Returns the target system.
`const wchar_t*` | `GetTitle() const` Returns the game title.
`uint` | `GetVram() const` Returns total size of V-RAM.
`uint` | `GetWram() const` Returns total size of W-RAM.
`bool` | `HasBattery() const` Returns battery status.
`bool` | `IsMultiRegion() const` Checks if the game targets multiple regions.
`bool` | `operator!() const` Checks if entry is invalid.

Constructor Detail

### Entry

    public Entry();

  Default constructor.

### Entry

    private Entry( const void* r );

Method Detail

### GetChrRom

    public dword GetChrRom() const throw();

  Returns total size of CHR-ROM.

Returns:
  size or 0 on invalid entry

### GetDumpState

    public Profile::Dump::State GetDumpState() const throw();

  Returns the dump state.

Returns:
  dump state

### GetHash

    public const Profile::Hash* GetHash() const throw();

  Returns hash code of ROM chips combined.

Returns:
  hash code or NULL on invalid entry

### GetMapper

    public uint GetMapper() const throw();

  Returns mapper ID.

Returns:
  mapper ID or 0 on invalid entry

### GetPrgRom

    public dword GetPrgRom() const throw();

  Returns total size of PRG-ROM.

Returns:
  size or 0 on invalid entry

### GetProfile

    public Result GetProfile( Profile& profile ) const throw();

  Returns the profile of this entry.

Parameters:
  `profile` - object to be filled
Returns:
  result code

### GetRegion

    public const wchar_t* GetRegion() const throw();

  Returns the target region.

Returns:
  target region or empty string on invalid entry

### GetSystem

    public Profile::System::Type GetSystem() const throw();

  Returns the target system.

Returns:
  target system

### GetTitle

    public const wchar_t* GetTitle() const throw();

  Returns the game title.

Returns:
  game title or empty string on invalid entry

### GetVram

    public uint GetVram() const throw();

  Returns total size of V-RAM.

Returns:
  size or 0 on invalid entry

### GetWram

    public uint GetWram() const throw();

  Returns total size of W-RAM.

Returns:
  size or 0 on invalid entry

### HasBattery

    public bool HasBattery() const throw();

  Returns battery status.

Returns:
  true if a battery is present

### IsMultiRegion

    public bool IsMultiRegion() const throw();

  Checks if the game targets multiple regions.

Returns:
  true if targeting multiple regions

### operator!

    public bool operator!() const;

  Checks if entry is invalid.

Returns:
  true if invalid

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD